@charset "utf-8";
/* CSS Document */

/* general styles */
html, body {
  height: 100%;
  width: 100%;
  overflow-x: hidden;
  font-family: 'Boogaloo', cursive;
}

h1 {
  font-family: 'Permanent Marker', cursive;
}
h2 {
  font-family: 'Permanent Marker', cursive;
}
h3 {
  font-family: 'Permanent Marker', cursive;
}
h4 {
  font-family: 'Permanent Marker', cursive;
}
h5 {
  font-family: 'Permanent Marker', cursive;
}
h6 {
  font-family: 'Permanent Marker', cursive;
}
/* padded section */
.pad-section {
  padding: 50px 0;
}
.pad-section img {
  width: 100%;
}
/* vertical-centered text */
.text-vcenter {
  display: table-cell;
  text-align: center;
  vertical-align: middle;
}
.text-vcenter h1 {
  font-size: 4.5em;
  font-weight: 700;
  margin: 0;
  padding: 0;
}
/* unvisited link */
a:link {
    color: white;
}

/* mouse over link */
a:hover {
    color: hotpink;
}

/* selected link */
a:active {
    color: black;
}

/* additional sections */
#home {
  background: url(../images/JohnJWFinch-Hero-Image---back-buildings-with-logo.png) no-repeat center center fixed;
  z-index: 3;
  display: table;
  height: 100%;
  position: relative;
  width: 100%;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}
#intro-logo {
  background: url(../images/JohnJWFinch-Logo.png) no-repeat center center fixed;
  z-index: 1030;
  display: table;
  height: 100%;
  position: relative;
  width: 100%;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}
#intro {
	background-color: #000000;
  	color: #ffffff;
}



@media only screen and (max-width: 414px){
   /* For mobile phones: */
[class*="col-"] {
    width: 100%;
}
}


@media only screen and (max-width: 600px){
   /* For tablets: */
[class*="col-"] {
    width: 100%;
}
}

.mobile-front-bulidings{
   display: none !important;
}

.tablet-front-bulidings{
   display: none !important;
}


@media only screen and (max-width: 600px){
   .desktop-front-bulidings{
     display: none !important;
   }

   .mobile-front-bulidings{
     display: none !important;
   }
   
   .tablet-front-bulidings{
     display: block !important;
   }

}

@media only screen and (max-width: 400px){
   .desktop-front-bulidings{
     display: none !important;
   }
   
   .tablet-front-bulidings{
     display: none !important;
   }

   .mobile-front-bulidings{
     display: block !important;
   }

}

#origins {
  background: url(../images/comic-book-bg-v1.jpg) no-repeat center center 		
  fixed;
  display: table;
  height: 800px;
 
  width: 100%;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

/* #### CSS media queries. Smaller versions of bg images for small screen devices #### */
 
@media screen and (max-width: 414px){
  #origins {
	  background-color:#3F0;
  display: table;
  height: 400px;
 
  width: 100%;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}
}

#origins .panel {
  opacity: 0.85;
}
#skills {
  background-color: #000000;
  color: #ffffff;
}
#skills .glyphicon {
  border: 2px solid #FFFFFF;
  border-radius: 50%;
  display: inline-block;
  font-size: 60px;
  height: 140px;
  line-height: 140px;
  text-align: center;
  vertical-align: middle;
  width: 140px;
}

#demo1 {
	display:none;
}
#demo2 {
	display:none;
}
#demo3 {
	display:none;
}
#demo4 {
	display:none;
}

#otherskills {
  background-color: #000000;
  color: #ffffff;
}
#experience {
  background: url(../images/comic-book-bg-experience.png) no-repeat center center fixed;
  display: table;
  height: 800px;

  width: 100%;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}
#experience .panel {
  opacity: 0.85;
}

#finchie_productions {
	background-color:#CCC;
}

.vid-container {
	position: relative;
	padding-bottom: 52%;
	padding-top: 30px; 
	height: 0; 
}

.vid-container iframe,
.vid-container object,
.vid-container embed {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

.vid-list-container {
	width: 92%;
	overflow: hidden;
	margin-top: 20px;
	margin-left:4%;
	padding-bottom: 40px;
}

.vid-list {
	width: 1344px;
	position: relative;
	top:0;
	left: 0;
}

.vid-item {
	display: block;
	width: 148px;
	height: 148px;
	float: left;
	margin: 0;
	padding: 10px;
}

.thumb {
	overflow:hidden;
	height: 84px;
}

.thumb img {
	width: 100%;
	position: relative;
	top: -13px;
}

.vid-item .desc {
	color: #21A1D2;
	font-size: 15px;
	margin-top:5px;
}

.arrows {
	position:relative;
	width: 100%;
}

.arrow-left {
	color: #fff;
	position: absolute;
	background: #777;
	padding: 15px;
	left: -25px;
	top: -130px;
	z-index: 99;
	cursor: pointer;
}

.arrow-right {
	color: #fff;
	position: absolute;
	background: #777;
	padding: 15px;
	right: -25px;
	top: -130px;
	z-index:100;
	cursor: pointer;
}

@media (max-width: 624px) {
	.arrows {
		position:relative;
		margin: 0 auto;
		width:96px;
	}
	.arrow-left {
		left: 0;
		top: -20px;
	}

	.arrow-right {
		right: 0;
		top: -20px;
	}
}

#map {
  height: 500px;
}
#contact {
  background-color: #000000;
  color: #ffffff;
}
footer {
  padding: 20px 0;
  background-color: #000000;
}
footer .glyphicon {
  color: #000000;
  font-size: 60px;
}
footer .glyphicon:hover {
  color: #306d9f;
}

video {
    width: 100%;
    height: auto;
}

#socialbuttons{
	height: 55px;
	position: absolute;
	top:5px;
	padding-bottom:0;
	width: 115px;
	float:left;
	margin-top:5px;
	margin-left:72%;
	border:6px solid black;
	background-color:#FFFFFF;
	overflow:hidden;
	left: 2px;
			}	
			
#sharing {
	border:6px solid black;
	background-color:#FFF;
	width:235px;
	height:50px;
	float:right;
	margin-left:90%;
	position:absolute;
	top:10px;
	padding:3px;
	padding-bottom:0;
}

/* -----------------------------------------------
 * Timeline
 * --------------------------------------------- */
 .timeline {
    list-style: none;
    padding: 10px 0;
    position: relative;
    font-weight: 300;
}
.timelineimage {
	background-size:cover;
	overflow:hidden;
	background-position:center center;
}
.timeline:before {
    top: 0;
    bottom: 0;
    position: absolute;
    content:" ";
    width: 4px;
    background: #000000;
    left: 50%;
    margin-left: -1.5px;
}
.timeline > li {
    margin-bottom: 20px;
    position: relative;
    width: 50%;
    float: left;
    clear: left;
}
.timeline > li:before, .timeline > li:after {
    content:" ";
    display: table;
}
.timeline > li:after {
    clear: both;
}
.timeline > li:before, .timeline > li:after {
    content:" ";
    display: table;
}
.timeline > li:after {
    clear: both;
}
.timeline > li > .timeline-panel {
    width: calc(100% - 25px);
    width: -moz-calc(100% - 25px);
    width: -webkit-calc(100% - 25px);
    float: left;
    border: 1px solid #dcdcdc;
    background: #ffffff;
    position: relative;
}
.timeline > li > .timeline-panel:before {
    position: absolute;
    top: 26px;
    right: -15px;
    display: inline-block;
    border-top: 15px solid transparent;
    border-left: 15px solid #dcdcdc;
    border-right: 0 solid #dcdcdc;
    border-bottom: 15px solid transparent;
    content:" ";
}
.timeline > li > .timeline-panel:after {
    position: absolute;
    top: 27px;
    right: -14px;
    display: inline-block;
    border-top: 14px solid transparent;
    border-left: 14px solid #ffffff;
    border-right: 0 solid #ffffff;
    border-bottom: 14px solid transparent;
    content:" ";
}
.timeline > li > .timeline-badge {
    color: #000000;
    width: 24px;
    height: 24px;
    line-height: 50px;
    text-align: center;
    position: absolute;
    top: 16px;
    right: -12px;
    z-index: 100;
}
.timeline > li.timeline-inverted > .timeline-panel {
    float: right;
}
.timeline > li.timeline-inverted > .timeline-panel:before {
    border-left-width: 0;
    border-right-width: 15px;
    left: -15px;
    right: auto;
}
.timeline > li.timeline-inverted > .timeline-panel:after {
    border-left-width: 0;
    border-right-width: 14px;
    left: -14px;
    right: auto;
}
.timeline-badge > a {
    color: #ffffff !important;
}
.timeline-badge a:hover {
    color: #dcdcdc !important;
}
.timeline-title {
    margin-top: 0;
    color: inherit;
	font-family: 'Permanent Marker', cursive;
}
.timeline-heading h4 {
    font-weight: 400;
    padding: 0 15px;
    color: #4679bd;
	font-family: 'Permanent Marker', cursive;
}
.timeline-body > p, .timeline-body > ul {
    padding: 10px 15px;
    margin-bottom: 0;
}
.timeline-footer {
    padding: 5px 15px;
    background-color:#f4f4f4;
	font-family: 'Boogaloo', cursive;
}
.timeline-footer p { margin-bottom: 0; }
.timeline-footer > a {
    cursor: pointer;
    text-decoration: none;
}
.timeline > li.timeline-inverted {
    float: right;
    clear: right;
}
.timeline > li:nth-child(2) {
    margin-top: 60px;
}
.timeline > li.timeline-inverted > .timeline-badge {
    left: -12px;
}
.no-float {
    float: none !important;
}
@media (max-width: 767px) {
    ul.timeline:before {
        left: 40px;
    }
    ul.timeline > li {
        margin-bottom: 0px;
        position: relative;
        width:100%;
        float: left;
        clear: left;
    }
    ul.timeline > li > .timeline-panel {
        width: calc(100% - 65px);
        width: -moz-calc(100% - 65px);
        width: -webkit-calc(100% - 65px);
    }
    ul.timeline > li > .timeline-badge {
        left: 28px;
        margin-left: 0;
        top: 16px;
    }
    ul.timeline > li > .timeline-panel {
        float: right;
    }
    ul.timeline > li > .timeline-panel:before {
        border-left-width: 0;
        border-right-width: 15px;
        left: -15px;
        right: auto;
    }
    ul.timeline > li > .timeline-panel:after {
        border-left-width: 0;
        border-right-width: 14px;
        left: -14px;
        right: auto;
    }
    .timeline > li.timeline-inverted {
        float: left;
        clear: left;
        margin-top: 30px;
        margin-bottom: 30px;
    }
    .timeline > li.timeline-inverted > .timeline-badge {
        left: 28px;
    }
	
	#myImg {
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

#myImg:hover {opacity: 0.7;}

/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 80%; /* Full width */
    height: 80%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (image) */
.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
}

/* Caption of Modal Image */
#caption {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}

/* Add Animation */
.modal-content, #caption {    
    -webkit-animation-name: zoom;
    -webkit-animation-duration: 0.6s;
    animation-name: zoom;
    animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
    from {-webkit-transform:scale(0)} 
    to {-webkit-transform:scale(1)}
}

@keyframes zoom {
    from {transform:scale(0)} 
    to {transform:scale(1)}
}

/* The Close Button */
.close {
    position: relative;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px){
    .modal-content {
        width: 80%;
    }
}
